/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client;

import org.apache.axis.message.addressing.EndpointReference;
import java.net.URI;
import org.gridprovenance.client.exception.CSLException;

/**
 * InteractionKey Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public interface InteractionKey {
	
	/**
	 * Get the InteractionId of this InteractionKey
	 * @return java.net.URI
	 */
    public URI getInteractionId () throws CSLException;

	/**
	 * Get the Message Sink of this InteractionKey
	 * @return org.apache.axis.message.addressing.EndpointReference
	 */
    public EndpointReference getMsgSink () throws CSLException;

	/**
	 * Get the Message Source of this InteractionKey
	 * @return org.apache.axis.message.addressing.EndpointReference
	 */
    public EndpointReference getMsgSource () throws CSLException;

	/**
	 * set the InteractionID of this InteractionKey
	 * @param interactionId java.net.URI
	 */
    public void setInteractionId (URI interactionId) throws CSLException;

	/**
	 * set the Message Sink of this InteractionKey
	 * @param msgSink org.apache.axis.message.addressing.EndpointReference
	 */
    public void  setMsgSink (EndpointReference msgSink) throws CSLException;

	/**
	 * set the Message Sink of this InteractionKey
	 * @param msgSource org.apache.axis.message.addressing.EndpointReference
	 */
    public void setMsgSource (EndpointReference msgSource) throws CSLException;

}
