/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client;

import org.apache.axis.message.addressing.EndpointReference;
import java.net.URI;
import org.gridprovenance.client.exception.CSLException;

/**
 * PQueryPort Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public interface PQueryPort {

	/**
	 * get the PQuery Port as EndpointReference
	 */
    public EndpointReference getPQueryPort() throws CSLException;
    
	/**
	 * set the PQuery Port by giving EndpointReference
	 */
    public void setPQueryPort(EndpointReference pQueryPortEndpointReference) throws CSLException;
    
	/**
	 * set the PQuery Port by giving URI
	 */
    public void setPQueryPort(URI pQueryPortURI) throws Exception, CSLException;

	/**
	 * set the PQuery Port by giving String
	 */
    public void setPQueryPort(String pQueryPortString) throws Exception, CSLException;

}