/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client;

import org.w3c.dom.Document;
import org.gridprovenance.client.exception.CSLException;

/**
 * RecordAck Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public interface RecordResult {

	/**
	 * printOut the Record Result
	 */
    public void printOut () throws CSLException;
    
	/**
	 * get the Record Result
	 */
    public String getAny () throws CSLException;

    /**
     * get the XQuery Result as Document
     */
    public Document getAsDocument () throws Exception, CSLException;

}
