/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client;

import org.gridprovenance.client.exception.CSLException;

/**
 * ViewKind Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public interface ViewKind {
	public static final String _isSender = "isSender";
    public static final String _isReceiver = "isReceiver";
	
	/**
	 * Get the ViewKind
	 * @return String
	 */
    public String getViewKind () throws CSLException;

	/**
	 * Set the Message Sink of this InteractionKey
	 * @param viewKind As String "isSender" or "isReceiver" 
	 */
    public void setViewKind (String viewKind) throws CSLException;

}
