/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client;

import org.apache.axis.message.addressing.EndpointReference;
import org.gridprovenance.client.exception.CSLException;

/**
 * XQuery Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public interface XQuery {
	
	/**
	 * set the xQueryString
	 * @param xQueryString
	 */
    public void setXQueryString (String xQueryString);
    
	/**
	 * get the xQueryString
	 * @return xQueryString
	 */
    public String getXQueryString ();
        
	/**
	 * get the xQueryPortAddress
	 * @return xQueryPortAddress As EndpointReference
	 */
    public EndpointReference getXQueryPortAddress ();
    
	/**
	 * XQuery to the Provenance Service
	 */
    public XQueryResult execute () throws Exception, CSLException;
}
