/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client;

import org.apache.axis.message.addressing.EndpointReference;
import java.net.URI;
import org.gridprovenance.client.exception.CSLException;

/**
 * XQueryPort Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public interface XQueryPort {

	/**
	 * get the XQuery Port as EndpointReference
	 */
    public EndpointReference getXQueryPort() throws CSLException;
    
	/**
	 * set the XQuery Port by giving EndpointReference
	 */
    public void setXQueryPort(EndpointReference xQueryPortEndpointReference) throws CSLException;
    
	/**
	 * set the XQuery Port by giving URI
	 */
    public void setXQueryPort(URI xQueryPortURI) throws Exception, CSLException;

	/**
	 * set the XQuery Port by giving String
	 */
    public void setXQueryPort(String xQueryPortString) throws Exception, CSLException;

}