/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.impl;

import org.apache.axis.message.addressing.EndpointReference;
import java.net.URI;
import org.gridprovenance.client.exception.CSLException;

/**
 * An implememt of InteractionKey Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public class InteractionKeyImpl implements org.gridprovenance.client.InteractionKey {
    private URI interactionId;
    private EndpointReference messageSink;
    private EndpointReference messageSource;

    public InteractionKeyImpl () {
    	
    }
    
    public InteractionKeyImpl (URI interactionId, EndpointReference msgSink, EndpointReference msgSource) {
    	this.messageSink = msgSink;
    	this.messageSource = msgSource;
    	this.interactionId = interactionId;
    }

    public URI getInteractionId () throws CSLException {
    	return (this.interactionId);
    }

    public EndpointReference getMsgSink () throws CSLException {
    	return (this.messageSink);
    }

    public EndpointReference getMsgSource () throws CSLException {
    	return (this.messageSource);
    }

    public void setInteractionId (URI interactionId)
    throws CSLException {
    	this.interactionId = interactionId;
    }

    public void  setMsgSink (EndpointReference msgSink)
    throws CSLException {
    	this.messageSink = msgSink;
    }

    public void setMsgSource (EndpointReference msgSource)
    throws CSLException {
    	this.messageSource = msgSource;
    }

}
