/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.impl;

import org.apache.axis.message.MessageElement;
import org.gridprovenance.client.utilities.ElementUtil;
import org.w3c.dom.Document;
import org.gridprovenance.client.exception.CSLException;

/**
 * An implement of QueryAck interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public class RecordResultImpl implements org.gridprovenance.client.RecordResult {
	private String any;

    public RecordResultImpl () {
    }

    public RecordResultImpl(String any) {
            this.any = any;
     }
    
    public void printOut ()
    throws CSLException {
    	if (any!=null)
    		System.out.println(this.any);
    	else
    		System.out.println("This is no error returned from record.");
    }

    public String getAny()
    throws CSLException {
    	return any;
    }
    
    public Document getAsDocument()
    throws Exception, CSLException {
    	 MessageElement anyME = new MessageElement(ElementUtil.newElement(any));
    	 Document recordResultDoc = anyME.getAsDocument();
    	return recordResultDoc;
    }
}
