/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.impl;

import org.gridprovenance.client.ViewKind;
import org.gridprovenance.client.exception.CSLException;

/**
 * ViewKind Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public class ViewKindImpl implements ViewKind {
	private String viewKind;

    protected ViewKindImpl(java.lang.String value) {
        viewKind = value;
    }
	
    public static final ViewKindImpl isSender = new ViewKindImpl(_isSender);
    public static final ViewKindImpl isReceiver = new ViewKindImpl(_isReceiver);
	
	/**
	 * Get the ViewKind
	 * @return String
	 */
    public String getViewKind ()
    throws CSLException {
    	return this.viewKind;
    }

	/**
	 * Set the Message Sink of this InteractionKey
	 * @param viewKind As String "isSender" or "isReceiver" 
	 */
    public void setViewKind (String viewKind)
    throws CSLException {
    	this.viewKind = viewKind;
    }

}
