/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.impl;

import org.gridprovenance.client.XQueryResult;
import org.gridprovenance.client.generated.ProvenanceServiceAddressingLocator;
import org.gridprovenance.client.generated.xquery.XQueryPortType;
import org.apache.axis.message.addressing.EndpointReference;
import org.gridprovenance.client.exception.CSLException;

/**
 * An implement of Query interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public class XQueryImpl implements org.gridprovenance.client.XQuery {
	private String xQueryString;
	private EndpointReference xQueryPortAddress;

   public XQueryImpl() {
   }
   
   public XQueryImpl(String xQueryString, EndpointReference xqueryAddress){
	   this.xQueryString = xQueryString;
	   this.xQueryPortAddress = xqueryAddress;
   }

   public void setXQueryString (String xQueryString){
	   this.xQueryString = xQueryString;	   
   }
   
   public String getXQueryString (){
	   return(this.xQueryString);	   
   }
   
   public EndpointReference getXQueryPortAddress (){
	   return(this.xQueryPortAddress);	   
   }

	public XQueryResult execute ()
	throws Exception, CSLException {
		if (this.xQueryPortAddress == null) {
			System.out.println("xQuery Address has not been set yet!");
			System.out.println("Error! Stop! Nothing reorded");
			return (null);
		}
		ProvenanceServiceAddressingLocator qlocator = new ProvenanceServiceAddressingLocator();
		XQueryPortType xqpt = qlocator.getXQueryPort (this.xQueryPortAddress);
		org.gridprovenance.client.generated.xquery.Query xquery = new org.gridprovenance.client.generated.xquery.Query(this.xQueryString);
		XQueryResult xqResult = new XQueryResultImpl();
		try {
			org.gridprovenance.client.generated.xquery.QueryAck xqAck =  xqpt.query(xquery);
			xqResult = new XQueryResultImpl(xqAck.get_any());
		} catch (Exception e) {
			e.printStackTrace();
		}
		return xqResult;
	}
}
