/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.impl;

import java.net.URI;
import org.apache.axis.message.addressing.EndpointReference;
import org.gridprovenance.client.exception.CSLException;

/**
 * Implement of XQueryPort Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public class XQueryPortImpl implements org.gridprovenance.client.XQueryPort {
	private EndpointReference xQueryPort;
	
	public XQueryPortImpl(){
	}

	public XQueryPortImpl(EndpointReference xQueryPortEndpointReference){
    	this.xQueryPort = xQueryPortEndpointReference;
	}
	
	public XQueryPortImpl(URI xQueryPortURI)
    throws Exception, CSLException {
		this.xQueryPort = new EndpointReference (xQueryPortURI.toString());
	}

	public XQueryPortImpl(String xQueryPortString)
    throws Exception, CSLException {
			this.xQueryPort = new EndpointReference (xQueryPortString);
	}

    public EndpointReference getXQueryPort()
    throws CSLException {
    	return (this.xQueryPort);
    }
    
    public void setXQueryPort(EndpointReference xQueryPortEndpointReference)
    throws CSLException {
    	this.xQueryPort = xQueryPortEndpointReference;
    }
    
    public void setXQueryPort(URI xQueryPortURI)
    throws Exception, CSLException {
		this.xQueryPort = new EndpointReference (xQueryPortURI.toString());
    }

    public void setXQueryPort(String xQueryPortString)
    throws Exception, CSLException {
		this.xQueryPort = new EndpointReference (xQueryPortString);
    }
}