/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.impl;

import org.apache.axis.message.MessageElement;
import org.w3c.dom.Document;
import org.gridprovenance.client.exception.CSLException;

//import org.apache.axis.message.MessageElement;

/**
 * An implememt of QueryAck Interface<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public class XQueryResultImpl implements org.gridprovenance.client.XQueryResult {
	private MessageElement [] any;
	
    public XQueryResultImpl () {
    }

    public XQueryResultImpl(
            MessageElement [] any) {
            this.any = any;
     }
    
    public void printOut ()
    throws CSLException {
    	if (any!=null)
    		for (int i = 0; i < this.any.length ; i++) {
    			System.out.println(this.any[i]);
    		}
    }
    
    public MessageElement[] getAny()
    throws CSLException {
    	return any;
    }
    
    public Document [] getAsDocument()
    throws Exception, CSLException {
    	Document [] xQueryResultDoc = new Document [this.any.length];
    	for (int i = 0; i < this.any.length; i++) {
    		xQueryResultDoc [i] = any[i].getAsDocument();
    	}
    	return xQueryResultDoc;
    }
}
