/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.relationships;

import java.net.URI;
import org.gridprovenance.client.GlobalPAssertionKey;
import org.apache.axis.message.addressing.EndpointReference;

/**
 * RelationObject class 
 *
 * @author Sheng Jiang
 */

public class RelationObject {
	private DataAccessor objectDA;
	private URI objectParameterName;
	private GlobalPAssertionKey objectGPAK;
	private EndpointReference objectLink;
	

	public RelationObject (){
	}

	public RelationObject (DataAccessor objectDA, URI objectParameterName, GlobalPAssertionKey objectGPAK, EndpointReference objectLink){
		this.objectDA = objectDA;
		this.objectParameterName = objectParameterName;
		this.objectGPAK = objectGPAK;
		this.objectLink = objectLink;
	}
	public DataAccessor getDataAccessor() {
		return (this.objectDA);
	}
	
	public URI getParameterName() {
		return (this.objectParameterName);
	}
	
	public GlobalPAssertionKey getGPAK () {
		return (this.objectGPAK);
	}
	
	public EndpointReference getObjectLink () {
		return (this.objectLink);
	}

}
