/* 
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.utilities;

import java.io.File;
import java.io.RandomAccessFile;
import org.gridprovenance.client.generated.pstruct.LocalPAssertionId;
import org.gridprovenance.client.exception.CSLException;

/**
 * A factory class for automatically making a new instance of<p>
 * org.gridprovenance.client.generated.pstruct.ProvenanceStore<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public class LocalPAssertionIdFactory {

   public LocalPAssertionIdFactory() {
   }

   /**
    * Create a unique localPAssertionId.
    * 
    * @return localPAssertionId
    */
   
   public static LocalPAssertionId newInstance ()
   throws Exception, CSLException {
	   File testexist = new File(".IDaccount");
	   if (!testexist.exists()) {
		   RandomAccessFile initFile = new RandomAccessFile(".IDaccount", "rw");
		   initFile.writeInt(0);
		   initFile.close();
	   }
	   
	   RandomAccessFile account = new RandomAccessFile(".IDaccount", "rw");
	   int idNumber = account.readInt();
	   account.seek(0);
	   account.writeInt(++idNumber);
	   account.close();

	   LocalPAssertionId localPAssertionId = new LocalPAssertionId(idNumber);
	   return localPAssertionId;
   }
}