/*
 * <START_COPYRIGHT>
 * Copyright (c) 2005 University of Southampton
 * See CPL.txt for license information.
 * http://www.opensource.org/license/cpl1.0.txt
 * <END_COPYRIGHT>
 */

package org.gridprovenance.client.utilities;

import java.net.URI;
import org.gridprovenance.client.exception.CSLException;

/**
 * A utility class for converting between java.net.URI <p>
 * and org.apache.axis.types.URI<p>
 * CSL of EU Provenance
 *
 * @author Sheng Jiang
 */

public class URIUtil {

    /**
     * Convert a java.net.URI into an org.apache.axis.types.URI
     *
     * @param netURI java.net.URI
     * @return org.apache.axis.types.URI
     */
    public static org.apache.axis.types.URI toAxisURI (URI netURI)
    throws Exception, CSLException {
        org.apache.axis.types.URI axisURI = new org.apache.axis.types.URI (netURI.toString());
        return axisURI;
    }

    /**
     * Convert an org.apache.axis.types.URI into a java.net.URI
     *
     * @param axisURI org.apache.axis.types.URI
     * @return java.net.URI
     */
    public static URI toNetURI (org.apache.axis.types.URI axisURI)
    throws Exception {
        URI netURI = new URI (axisURI.toString());
        return netURI;
    }

    public static URI getTransformFile(URI ds) throws Exception
    {
        // hardcoded for the time being, but this should go to the URI indicated and fetch back the transform file.

        String location = ds.toString();

        if (location.equals("http://www.gridprovenance.org/schemas/ontologies/DocumentationStyle.XMLOverallStyler"))
            return new URI("./data/transform.xml");
        else
            return ds;

    }



}


